## org.exist.util.hashtable
Class AbstractHashtable

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable

Direct Known Subclasses:
  Int2ObjectHashMap, Long2ObjectHashMap, NamePool, Object2IntHashMap, Object2LongHashMap, Object2ObjectHashMap, ObjectHashSet, QNamePool, SequencedLongHashMap

public abstract class AbstractHashtable
extends java.lang.Object

Abstract base class for all hashtable implementations.

Author:
  Stephan Körnig, Wolfgang Meier

Method Summary
`int` `getMaxRehash()`
`static boolean` `isPrime(long number)`
`abstract java.util.Iterator` `iterator()`
`static long` `nextPrime(long iVal)`
`int` `size()`
`abstract java.util.Iterator` `valueIterator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### size

    public int size()

### iterator

    public abstract java.util.Iterator iterator()

### valueIterator

    public abstract java.util.Iterator valueIterator()

### isPrime

    public static final boolean isPrime(long number)

### nextPrime

    public static final long nextPrime(long iVal)

### getMaxRehash

    public int getMaxRehash()

Copyright (C) Wolfgang Meier. All rights reserved.